## GtkCombo GtkCombo |

## Functions

GtkWidget * | gtk_combo_new ()
void | gtk_combo_set_popdown_strings ()
void | gtk_combo_set_value_in_list ()
void | gtk_combo_set_use_arrows ()
void | gtk_combo_set_use_arrows_always ()
void | gtk_combo_set_case_sensitive ()
void | gtk_combo_set_item_string ()
void | gtk_combo_disable_activate ()

## Properties

gboolean | allow-empty | Read / Write
gboolean | case-sensitive | Read / Write
gboolean | enable-arrow-keys | Read / Write
gboolean | enable-arrows-always | Read / Write
gboolean | value-in-list | Read / Write

## Types and Values

struct | GtkCombo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkHBox
                                ╰── GtkCombo

## Implemented Interfaces

GtkCombo implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_combo_new ()

    GtkWidget *
    gtk_combo_new (void);

`gtk_combo_new` is deprecated and should not be used in newly-written code.

### gtk_combo_set_popdown_strings ()

    void
    gtk_combo_set_popdown_strings (GtkCombo *combo,
                                   GList *strings);

`gtk_combo_set_popdown_strings` is deprecated and should not be used in newly-written code.

### gtk_combo_set_value_in_list ()

    void
    gtk_combo_set_value_in_list (GtkCombo *combo,
                                 gboolean val,
                                 gboolean ok_if_empty);

`gtk_combo_set_value_in_list` is deprecated and should not be used in newly-written code.

### gtk_combo_set_use_arrows ()

    void
    gtk_combo_set_use_arrows (GtkCombo *combo,
                              gboolean val);

`gtk_combo_set_use_arrows` is deprecated and should not be used in newly-written code.

### gtk_combo_set_use_arrows_always ()

    void
    gtk_combo_set_use_arrows_always (GtkCombo *combo,
                                     gboolean val);

`gtk_combo_set_use_arrows_always` is deprecated and should not be used in newly-written code.

### gtk_combo_set_case_sensitive ()

    void
    gtk_combo_set_case_sensitive (GtkCombo *combo,
                                  gboolean val);

`gtk_combo_set_case_sensitive` is deprecated and should not be used in newly-written code.

### gtk_combo_set_item_string ()

    void
    gtk_combo_set_item_string (GtkCombo *combo,
                               GtkItem *item,
                               const gchar *item_value);

`gtk_combo_set_item_string` is deprecated and should not be used in newly-written code.

### gtk_combo_disable_activate ()

    void
    gtk_combo_disable_activate (GtkCombo *combo);

`gtk_combo_disable_activate` is deprecated and should not be used in newly-written code.

## Types and Values

### struct GtkCombo

    struct GtkCombo {
    	GtkWidget *entry;

    	GtkWidget *list;
    };

`GtkCombo` is deprecated and should not be used in newly-written code.

## Property Details

### The `“allow-empty”` property

      “allow-empty”              gboolean

Whether an empty value may be entered in this field.

Owner: GtkCombo

Flags: Read / Write

Default value: TRUE

### The `“case-sensitive”` property

      “case-sensitive”           gboolean

Whether list item matching is case sensitive.

Owner: GtkCombo

Flags: Read / Write

Default value: FALSE

### The `“enable-arrow-keys”` property

      “enable-arrow-keys”        gboolean

Whether the arrow keys move through the list of items.

Owner: GtkCombo

Flags: Read / Write

Default value: TRUE

### The `“enable-arrows-always”` property

      “enable-arrows-always”     gboolean

Obsolete property, ignored.

Owner: GtkCombo

Flags: Read / Write

Default value: TRUE

### The `“value-in-list”` property

      “value-in-list”            gboolean

Whether entered values must already be present in the list.

Owner: GtkCombo

Flags: Read / Write

Default value: FALSE